Referência da APIRulesets
Publish a new immutable version
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
ruleset_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
definition*
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/v1/rulesets/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \ -H "Content-Type: application/json" \ -d '{ "definition": { "thresholds": { "match": 0, "possible": 0 }, "blocking": [ { "name": "string", "keys": [ { "left": "string", "right": "string" } ] } ], "matchers": [ { "name": "string", "score": 0, "expr": "string" } ] } }'{ "ruleset_id": "string", "version": -9007199254740991, "definition": { "thresholds": { "match": 0, "possible": 0 }, "ambiguity_margin": 0, "blocking": [ { "name": "string", "keys": [ { "left": "string", "right": "string" } ], "window": { "left": "string", "right": "string", "days": -9007199254740991 } } ], "matchers": [ { "name": "string", "score": 0, "required": true, "expr": "string" } ], "composite": { "modes": [ "1:N" ], "group_by": [ { "left": "string", "right": "string" } ], "sum": { "left": "string", "right": "string", "tolerance": -9007199254740991, "tolerance_percent": 0 }, "window": { "left": "string", "right": "string", "days": -9007199254740991 }, "max_items": { "left": -9007199254740991, "right": -9007199254740991 }, "strategies": { "complete_group": true, "amount_variance": { "max_percent": 0 }, "partial": { "min_members": -9007199254740991, "min_completion": 0, "uniformity": 0 } }, "thresholds": { "match": 0, "possible": 0 }, "matchers": [ { "name": "string", "score": 0, "required": true, "expr": "string" } ] } }, "created_at": "2019-08-24T14:15:22Z"}
